%define upstream_name Sah
%define upstream_version 0.9.39

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Schema for data structures (specification)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::ShareDir::Install)

BuildArch:	noarch

%description
Schema for data structures (specification).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.9.39-6.mga9
+ Revision: 1805617
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.39-5.mga8
+ Revision: 1497098
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.39-4.mga7
+ Revision: 1271027
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.9.39-3.mga6
+ Revision: 1033005
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.9.39-2.mga6
+ Revision: 970028
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.9.39-1.mga6
+ Revision: 884810
- update to 0.9.39

* Sun Sep 06 2015 sander85 <sander85> 0.9.38-1.mga6
+ Revision: 873596
- update to 0.9.38

* Tue Jul 07 2015 sander85 <sander85> 0.9.37-1.mga6
+ Revision: 852618
- imported package perl-Sah

